Subject: Re: Is the a way to get a log with files that were changed

From: Jeff King <[email-masked]>
Date: Thu, 11 Sep 2014 22:26:01 -0400

On Fri, Sep 12, 2014 at 07:16:26AM +0530, Stephen Smith wrote:

> Is there a way to get a log of first parent  commits and with each
> commit a entry a list of the files that were changed?

How about:

  git log --first-parent -m --name-only

The "--first-parent" restricts the traversal. The "-m" tells git to show
merge diffs against their parents. We show only the diff against the
first parent due to "--first-parent", so we effectively show the diff of
what was brought in by the merge. And then "--name-only" can be replaced
with "--raw", "-p", or whatever diff format you prefer.

-Peff